Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83497 - Gnumeric can't import MS Excel files in 97/2000 format
Summary: Gnumeric can't import MS Excel files in 97/2000 format
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnumeric
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 22:09 UTC by M Jang
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 02:35:08 UTC


Attachments (Terms of Use)

Description M Jang 2003-02-04 22:09:53 UTC
Description of problem:

Gnumeric can't open MS Excel 97 files. When opened from the command line, it hangs with the following message:
filename.xls
Excel 97+

Version-Release number of selected component (if applicable):

1.0.12-1 (also applies to 1.0.12-2 from Rawhide)

How reproducible:

Start Gnumeric. Attempt to open a Microsoft Excel file in 97 or later format.

Steps to Reproduce:
1. Start Gnumeric
2. Open a MS Excel .xls file in 97 or later format
3. 
    
Actual results:

Gnumeric appears to hang with the aforementioned message

Expected results:

Gnumeric should import MS Excel files without problems.

Additional info:

Per Jody Goldberg of GNOME, this may be related to the new glibc

Comment 1 Havoc Pennington 2003-02-04 22:15:15 UTC
duplicate, need to find other one

Comment 2 Jody Goldberg 2003-02-04 23:08:34 UTC
jrb traced the hang to an iconv_open call.
The sample sheet loads fine on other distros.

Comment 3 Jonathan Blandford 2003-02-05 00:59:15 UTC
This is apparently a glibc bug.  A fix is apparently in glibc now.

Comment 4 Havoc Pennington 2003-02-05 02:35:08 UTC
just being anal about the resolution...


Note You need to log in before you can comment on or make changes to this bug.